using System;

namespace InABox.Core
{
    internal class PropertyTypeLookups : LookupGenerator<object>
    {
        public PropertyTypeLookups(object[] items) : base(items)
        {
            AddValue(typeof(string).EntityName(), typeof(string).Name);
            AddValue(typeof(int).EntityName(), typeof(int).Name);
            AddValue(typeof(bool).EntityName(), typeof(bool).Name);
            AddValue(typeof(DateTime).EntityName(), typeof(DateTime).Name);
            AddValue(typeof(TimeSpan).EntityName(), typeof(TimeSpan).Name);
            AddValue(typeof(double).EntityName(), typeof(double).Name);
        }
    }
}